Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-SU-2013:0404-1: moderate: libqt4: fix a information disclosure
openSUSE Security Update: libqt4: fix a information disclosure
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0404-1
Rating: moderate
References: #802634
Cross-References: CVE-2013-0254
Affected Products:
openSUSE 12.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


libqt4 was updated to fix a information disclosure via
QSharedMemory (CVE-2013-0254).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.1:

zypper in -t patch openSUSE-2013-178

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.1 (i586 x86_64):

libqt4-4.7.4-19.21.1
libqt4-debuginfo-4.7.4-19.21.1
libqt4-debugsource-4.7.4-19.21.1
libqt4-devel-4.7.4-19.21.1
libqt4-devel-debuginfo-4.7.4-19.21.1
libqt4-private-headers-devel-4.7.4-19.21.1
libqt4-qt3support-4.7.4-19.21.1
libqt4-qt3support-debuginfo-4.7.4-19.21.1
libqt4-sql-4.7.4-19.21.1
libqt4-sql-debuginfo-4.7.4-19.21.1
libqt4-sql-sqlite-4.7.4-19.21.1
libqt4-sql-sqlite-debuginfo-4.7.4-19.21.1
libqt4-x11-4.7.4-19.21.1
libqt4-x11-debuginfo-4.7.4-19.21.1

- openSUSE 12.1 (x86_64):

libqt4-32bit-4.7.4-19.21.1
libqt4-debuginfo-32bit-4.7.4-19.21.1
libqt4-qt3support-32bit-4.7.4-19.21.1
libqt4-qt3support-debuginfo-32bit-4.7.4-19.21.1
libqt4-sql-32bit-4.7.4-19.21.1
libqt4-sql-debuginfo-32bit-4.7.4-19.21.1
libqt4-sql-sqlite-32bit-4.7.4-19.21.1
libqt4-sql-sqlite-debuginfo-32bit-4.7.4-19.21.1
libqt4-x11-32bit-4.7.4-19.21.1
libqt4-x11-debuginfo-32bit-4.7.4-19.21.1

- openSUSE 12.1 (ia64):

libqt4-debuginfo-x86-4.7.4-19.21.1
libqt4-qt3support-debuginfo-x86-4.7.4-19.21.1
libqt4-qt3support-x86-4.7.4-19.21.1
libqt4-sql-debuginfo-x86-4.7.4-19.21.1
libqt4-sql-sqlite-debuginfo-x86-4.7.4-19.21.1
libqt4-sql-sqlite-x86-4.7.4-19.21.1
libqt4-sql-x86-4.7.4-19.21.1
libqt4-x11-debuginfo-x86-4.7.4-19.21.1
libqt4-x11-x86-4.7.4-19.21.1
libqt4-x86-4.7.4-19.21.1


References:

http://support.novell.com/security/cve/CVE-2013-0254.html
https://bugzilla.novell.com/802634


< Previous Next >
This Thread
  • No further messages